@import url("https://fonts.googleapis.com/css?family=Roboto&display=swap");
$bg-navbar: #fff;
$bg-content: #fff;
$bg-footer: #000;
$bg-project-zoom: gray;
$text-footer: #878585;
$link: #333;
$li-slide: #000;
$li-slide-border: #fff;
$li-hover: #00529b;
$title-color: #00529b;
$content: #444;
$line-color: #ccc;
$box-content: #ccc;

html,
body {
  font-family: "Roboto", sans-serif;
  background: #fff;
}
// navbar
.navbar-sch {
  background-color: $bg-navbar !important;
  box-shadow: none !important;
  -moz-box-shadow: none !important;
  -webkit-box-shadow: none !important;
  .navbar-brand {
    img {
      max-width: 130px !important;
    }
  }
  .nav-pdd {
    padding: 0 20px;
  }
  .dropdown-toggle::after {
    display: none;
  }
  .navbar-collapse {
    margin-top: 2.4rem;
  }
  .dropdown-menu {
    border-radius: 0px;
    .dropdown-item {
      font-size: 12px;
    }
  }
  .nav-link {
    color: $link !important;
  }
  .link-lang {
    position: absolute;
    top: 1rem;
    right: 12.9rem;
    a {
      color: $link;
    }
  }
}

// slide-cover
.slide-cover {
  .carousel-indicators {
    li {
      background-color: $li-slide;
      width: 8px;
      height: 8px;
      border: 1px solid $li-slide-border;
      border-radius: 100%;
      &.active {
        background-color: $li-hover;
        border: 1px solid $li-hover;
      }
      &:hover {
        background-color: $li-hover;
        border: 1px solid $li-hover;
      }
    }
  }
  .carousel-control-prev {
    visibility: hidden;
  }
  .carousel-control-next {
    visibility: hidden;
  }
}

.slide-cover:hover {
  .carousel-control-prev {
    visibility: visible;
  }
  .carousel-control-next {
    visibility: visible;
  }
}

// extrusion
.extrusion {
  background-color: $bg-content;
  color: $title-color;
  .title {
    a {
      color: $title-color;
    }
    .title-line {
      border-bottom: 4px solid $line-color;
      display: block;
      width: 20%;
    }
  }
  .content {
    color: $content;
    .img-mt {
      margin-top: 2.8rem;
    }
  }
}

// vdo
.vdo {
  background-color: $bg-content;
  .box-content {
    background-color: $box-content;
  }
}

// project-ref
.project-ref {
  background-color: $bg-content;
  .title {
    color: $title-color;
  }
  .img-hover-zoom {
    overflow: hidden;
    background-color: $bg-project-zoom;
  }
  .img-hover-zoom--basic img,
  .img-hover-zoom--basic .home-projects
  {
    transition: transform 0.5s ease;
  }
  .img-hover-zoom--basic:hover {
    img {
      transform: scale(1.1);
      opacity: 0.3;
    }
    .home-projects {
      transform: scale(1.1);
      opacity: 0.3;
    }
    .project-text {
      opacity: 1;
    }
  }
  .home-projects {
    // background-image: url("../images/i_in_GreenStadium_t.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 100%;
    width: 560px;
    height: 400px;
  }
  .project-text {
    color: #fff;
    transition: 0.5s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
  }
  .box-control {
    background-color: #00529b;
    color: #fff;
    .btn-submit {
      color: #fff;
      background: transparent;
      border: 2px solid #fff;
      padding: 5px 35px;
    }
  }
}

// PRODUCTS
.products-header {
  background-color: #fff;
}

.products-content {
  .title {
    color: $title-color;
  }
  .title-line {
    border-bottom: 4px solid #ccc;
    display: block;
    width: 5%;
  }
}

// PRODUCTS
.architectura-header {
  background-color: #fff;
}

.architectura-building {
  .download {
    background-color: #878585;
    width: 441px;
    text-align: center;
    a {
      color: #fff;
    }
  }
  .quality {
    p {
      margin: 0;
    }
  }
}

// download
.download-page {
  background-color: #fff;
  a {
    color: #333;
    .block-shadow {
      box-shadow: 1px 2px 4px 2px rgba(0, 0, 0, 0.15);
    }
    &:hover {
      .block-shadow {
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
      }
    }
  }
  .title-text {
    color: $title-color;
  }
  .title-line {
    border-bottom: 4px solid $line-color;
    display: block;
    width: 5%;
  }
  .text-download {
    p {
      margin: 0;
    }
  }
}

// PROJECTS
.projects {
  background: url("../images/i_project_head_3.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top center;
  padding-top: 5rem;
  .controls {
    color: #fff;
    a {
      color: #fff !important;
    }
  }
  .projectsMenu {
    margin: 0 auto;
    padding: 0 48px;
    width: 100%;
    max-width: 550px;
    height: 100px;
    background-color: #ccc;
    p {
      margin: 0;
      a {
        color: #333;
      }
    }
  }
}

.projects-view {
  background-color: $bg-content;
  .img-hover-zoom {
    overflow: hidden;
    background-color: $bg-project-zoom;
  }
  .img-hover-zoom--basic img {
    transition: transform 0.5s ease;
  }
  .img-hover-zoom--basic:hover {
    img {
      transform: scale(1.1);
      opacity: 0.3;
    }
    .project-text {
      opacity: 1;
    }
  }
  .project-text {
    color: #fff;
    text-transform: uppercase;
    transition: 0.5s ease;
    opacity: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
  }

  // type-a
  #type-a {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(4, minmax(100px, auto));
    .item-1 {
      grid-column: 1 / 5;
      grid-row: 1 / 5;
    }

    .item-2 {
      grid-column: 5 / 9;
      grid-row: 1 / 3;
    }

    .item-3 {
      grid-column: 5 / 7;
      grid-row: 3 / 5;
    }

    .item-4 {
      grid-column: 7 / 9;
      grid-row: 3 / 5;
    }

    .item-5 {
      grid-column: 9 / 11;
      grid-row: 1 / 5;
    }

    .item-6 {
      grid-column: 11 / 13;
      grid-row: 1 / 3;
    }

    .item-7 {
      grid-column: 11 / 13;
      grid-row: 3 / 5;
    }
  }

  // type-b
  #type-b {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(4, minmax(100px, auto));
    .item-1 {
      grid-column: 1 / 5;
      grid-row: 1 / 3;
    }

    .item-2 {
      grid-column: 1 / 3;
      grid-row: 3 / 5;
    }

    .item-3 {
      grid-column: 3 / 5;
      grid-row: 3 / 5;
    }

    .item-4 {
      grid-column: 5 / 7;
      grid-row: 1 / 5;
    }

    .item-5 {
      grid-column: 7 / 11;
      grid-row: 1 / 5;
    }

    .item-6 {
      grid-column: 11 / 13;
      grid-row: 1 / 5;
    }
  }

  // type-c
  #type-c {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(4, minmax(100px, auto));
    .item-1 {
      grid-column: 1 / 5;
      grid-row: 1 / 5;
    }

    .item-2 {
      grid-column: 5 / 7;
      grid-row: 1 / 3;
    }

    .item-3 {
      grid-column: 5 / 7;
      grid-row: 3 / 5;
    }

    .item-4 {
      grid-column: 7 / 9;
      grid-row: 1 / 5;
    }

    .item-5 {
      grid-column: 9 / 13;
      grid-row: 1 / 3;
    }

    .item-6 {
      grid-column: 9 / 11;
      grid-row: 3 / 5;
    }
    .item-7 {
      grid-column: 11 / 13;
      grid-row: 3 / 5;
    }
  }

  // type-d
  #type-d {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(4, minmax(100px, auto));
    .item-1 {
      grid-column: 1 / 3;
      grid-row: 1 / 5;
    }

    .item-2 {
      grid-column: 3 / 7;
      grid-row: 1 / 5;
    }

    .item-3 {
      grid-column: 7 / 9;
      grid-row: 1 / 3;
    }

    .item-4 {
      grid-column: 7 / 9;
      grid-row: 3 / 5;
    }

    .item-5 {
      grid-column: 9 / 13;
      grid-row: 1 / 5;
    }

  }
  .projects-footer {
    background-color: #00529b;
    .btn-enquiry {
      background-color: transparent;
      border: 2px solid #fff;
      color: #fff;
    }
  }
}

// project-detail
.project-detail {
  .title {
    color: #00529B;
  }
}

// news
.news {
  .title {
    color: #00529B;
  }
  .title-line {
    border-bottom: 4px solid $line-color;
    display: block;
    width: 3%;
  }
  a {
    color: #333;
  };
}

.news-detail {
  .page-controls { 
    .btn-event {
      background-color: transparent;
      border: 1px solid #333;
      border-radius: 30px;
      padding: 5px 15px;
    }
  }
}

// contact-content
.contact-content {
  .title {
    color: #00529B;
  }
  .title-line {
    border-bottom: 4px solid $line-color;
    display: block;
    width: 3%;
    margin: 0 auto;
  }
  form {
    .form-control {
      border-radius: 0px;
    }
  }
  .btn-submit {
    background-color: #ccc !important;
    color: #333;
  }
  .distributor {
    background-color: #d5d5d5;
    a {
      color: #333;
    }
  }
}

// about 
.about {
  .title {
    color: #00529B;
  }
  .title-line {
    border-bottom: 4px solid $line-color;
    display: block;
    width: 3%;
  }
}

// footer
.footer {
  background-color: $bg-footer;
  color: $text-footer;
  a {
    color: $text-footer;
  }
}

@media (max-width: 576px) {
  .navbar-sch {
    .nav-pdd {
      padding: 0;
    }
    .navbar-collapse {
      margin: 0;
    }
    .link-lang {
      position: relative;
      top: 0;
      right: 0;
    }
  }

  .architectura-building {
    .download {
      width: 100%;
    }
  }

  .projects-view {
    .img-hover-zoom--basic {
      img {
        height: 100% !important;
      }
    }
    // type-a, c
    #type-a, 
    #type-c {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-auto-rows: minmax(100px, auto);
      grid-template-areas:
        "item-1 item-1"
        "item-2 item-2"
        "item-3 item-3"
        "item-4 item-4"
        "item-5 item-5"
        "item-6 item-6"
        "item-7 item-7";
      .item-1 {
        grid-area: item-1;
      }

      .item-2 {
        grid-area: item-2;
      }

      .item-3 {
        grid-area: item-3;
      }

      .item-4 {
        grid-area: item-4;
      }

      .item-5 {
        grid-area: item-5;
      }

      .item-6 {
        grid-area: item-6;
      }

      .item-7 {
        grid-area: item-7;
      }
    }
    // type-b
    #type-b {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-auto-rows: minmax(100px, auto);
      grid-template-areas:
        "item-1 item-1"
        "item-2 item-2"
        "item-3 item-3"
        "item-4 item-4"
        "item-5 item-5"
        "item-6 item-6";
      .item-1 {
        grid-area: item-1;
      }

      .item-2 {
        grid-area: item-2;
      }

      .item-3 {
        grid-area: item-3;
      }

      .item-4 {
        grid-area: item-4;
      }

      .item-5 {
        grid-area: item-5;
      }

      .item-6 {
        grid-area: item-6;
      }
    }
    // type-d
    #type-d {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-auto-rows: minmax(100px, auto);
      grid-template-areas:
        "item-1 item-1"
        "item-2 item-2"
        "item-3 item-3"
        "item-4 item-4"
        "item-5 item-5";
      .item-1 {
        grid-area: item-1;
      }

      .item-2 {
        grid-area: item-2;
      }

      .item-3 {
        grid-area: item-3;
      }

      .item-4 {
        grid-area: item-4;
      }

      .item-5 {
        grid-area: item-5;
      }
    }
  }
}

@media (max-width: 768px) {
}

@media (max-width: 992px) {
}

@media (max-width: 1200px) {
}
